<template>
    <block>
        <web-view />
    </block>
</template>

<script>
import util from '../util.js';
let plugin = requirePlugin('loginPlugin');
export default {
    data() {
        return {};
    },
    onLoad(options = {}) {
        // wx.showModal({
        //   title: '提示',
        //   content: 'JIN',
        //   success: res => {
        //   }
        // })
        util.setCustomNavigation();
        let { token, islogin } = options;

        if (Number(islogin) === 0) {
            // wx.showModal({
            //   title: '提示',
            //   content: JSON.stringify(options),
            //   success: res => {
            //     if (res.confirm) {
            //       util.redirectPage('/pages/login/index/index?riskFail=1')
            //     }
            //   }
            // })
            util.redirectPage('/pages/login/index/index?riskFail=1');
            return;
        }

        this.handleBackFromH5(token);
    },
    methods: {
        handleBackFromH5(token) {
            plugin
                .tokenLogin({
                    token
                })
                .then((res = {}) => {
                    let { goback, err_msg } = res;

                    if (goback) {
                        plugin.gobackLog({
                            route: 7
                        });
                        util.goBack();
                        return;
                    }

                    if (err_msg) {
                        uni.showModal({
                            title: '提示',
                            content: err_msg,
                            success: (res) => {
                                if (res.confirm) {
                                    this.handleBackFromH5(token);
                                }
                            }
                        });
                    }
                })
                .catch((res) => console.jdLoginLog(res));
        }
    }
};
</script>
<style></style>
